%define name	kstreamripper
%define version 0.7.74
%define	release	%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPLv2, v3
Group:			Sound
Summary:		Recorder for Internet radios (based on Streamripper), formaly KRadioRipper
Summary(de.UTF-8):	Aufnahmeprogramm für Internetradios (basiert auf Streamripper), vormals KRadioRipper
Summary(cz.UTF-8):	Nahrávač internetových rádií (založený na Streamripperu), dříve KRadioRipper
Summary(pt_BR.UTF-8):	Gravador para rádios da internet (baseado no Streamripper), formalmente KRadioRipper
URL:			http://kstreamripper.sourceforge.net/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:		cmake >= 2.4
BuildRequires:		desktop-file-utils

BuildRequires:		kdelibs4-devel
BuildRequires:		libproxy-devel >= 0.3.1
Requires:		streamripper		      
Requires:		libproxy-kde >= 0.3.1
BuildRequires:		libproxy-kde >= 0.3.1
BuildRequires:		pulseaudio-esound-compat
BuildRequires:		free-kde4-config
BuildRequires:		phonon-gstreamer
BuildRequires:		mandriva-theme-Free
BuildRequires:		mandriva-theme-Free-screensaver
BuildRequires:		wget

Provides:		kradioripper = %{version}
Obsoletes:		kradioripper = %{version}

%description
#<description> Start of description that is extracted for i18n
KStreamRipper (formaly KRadioRipper) is a program for recording Internet radios and other streams
which comes with a stream catalog. For streams that provide information
about the song title, it can split the stream and create an own file for
each track - with a corresponding file name and corresponding metadata.
KStreamRipper is based on Streamripper and provides a well-arranged user
interface for whose features. Like Streamripper, it accepts MP3, AAC and
OGG streams from Shoutcast-servers and Icecast-servers.
#</description>

%description -l de.UTF-8
KStreamRipper (vormals KRadioRipper) ist ein Aufnahmeprogramm für 
Internetradios und andere Streams. KStreamRipper enthält auch ein Stream-
Verzeichnis. Streams, die den Titel der Stücke bereitstellen, können 
automatisch geschnitten werden, sodass für jedes Stück eine eigene Datei 
erstellt wird - mit entsprechendem Dateinamen und entsprechenden Metadaten. 
KStreamRipper basiert auf Streamripper und bietet eine gut organisierte 
Oberfläche für dessen Funktionen. KStreamRipper akzeptiert, wie auch 
Streamripper, Mp3-, AAC- und Ogg-Streams von Shoutcast- und Icecast-Servern.

%description -l cz.UTF-8
KStreamRipper (dříve KRadioRipper) je programem určeným pro nahrávání 
internetových rádií a dalších datových proudů, který přichází s přehledem 
datových proudů. U datových proudů, které poskytují údaje o názvu skladby, 
může provést rozdělení datového proudu a vytvořit pro každou písničku 
samostatný soubor s odpovídajícím souborovým názvem a shodnými metadaty. 
KStreamRipper je založen na programu Streamripper a poskytuje pro jeho 
funkce pěkně upravené uživatelské rozhraní. Stejně jako Streamripper přijímá 
datové proudy MP3, AAC a OGG ze serverů Shoutcast a Icecast.

%description -l pt_BR.UTF-8
KStreamRipper é um programa para gravar rádios da Internet e outros streams 
que vem com um diretório stream. Para streams que fornecem informações sobre 
o título da canção, ele pode dividí-lo e criar um arquivo próprio para cada 
faixa - com um nome correspondente do arquivo e correspondentes metadados. 
KStreamRipper é baseado no Streamripper e cujas características, fornece uma 
interface de usuário bem disposta. Como Streamripper, ele aceita MP3, AAC e 
Streams OGG de servidores Shoutcast e servidores Icecast.



%prep
%setup -q -n kstreamripper

%build
%cmake_kde4 -DLIBPROXY_INCLUDE_DIR:PATH=/usr/include/libproxy

%make

%install
%{__rm} -rf %{buildroot}
cd build
%makeinstall DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc ABOUT COPYING LICENSE LICENSE.GPL2 LICENSE.GPL3 NEWS WARRANTY
%{_bindir}/kstreamripper
%{_datadir}/applications/kde4/kstreamripper.desktop
%{_datadir}/apps/kstreamripper/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/hicolor/128x128/apps/kstreamripper.png
%{_datadir}/icons/hicolor/16x16/apps/kstreamripper.png
%{_datadir}/icons/hicolor/22x22/apps/kstreamripper.png
%{_datadir}/icons/hicolor/256x256/apps/kstreamripper.png
%{_datadir}/icons/hicolor/32x32/apps/kstreamripper.png
%{_datadir}/icons/hicolor/48x48/apps/kstreamripper.png
%{_datadir}/icons/hicolor/64x64/apps/kstreamripper.png
%{_datadir}/icons/hicolor/8x8/apps/kstreamripper.png
%{_datadir}/icons/hicolor/scalable/apps/kstreamripper.svgz
%{_datadir}/locale/*/LC_MESSAGES/kstreamripper.mo

%changelog
* Tue Sep 07 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.74-1mud2010.1
- new version

* Wed Sep 01 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.19-1mud2010.1
- new version

* Tue Aug 31 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.16-1mud2010.1
- new version

* Sat Jul 17 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.1-1mud2010.1
- initial package for Mandrivalinux 2010.1
